Bug 1883992 - Gnome default font unreadable
Summary: Gnome default font unreadable
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 33
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-30 17:18 UTC by John Mellor
Modified: 2020-10-11 14:01 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
F33 Gnome font error screenshot (1.67 MB, image/png)
2020-09-30 17:18 UTC, John Mellor
no flags Details

Description John Mellor 2020-09-30 17:18:48 UTC
Created attachment 1717939 [details]
F33 Gnome font error screenshot

Description of problem: Gnome default font unreadable


Version-Release number of selected component (if applicable):
Gnome 3.38.0, normal wayland windowing

How reproducible: all the time


Steps to Reproduce:
n/a, normal install

Actual results:
Unreadable system font for the Gnome GUI and icons
Application fonts (e.g. terminal) appear to be ok.


Expected results:
Readable font, same as F32


Additional info:
Hardware is a ThinkPad T500 with AMD Rv635 graphics chip, 1680x1050 default resolution.
All updates applied as of Beta+1 date (2020/09/30T12:00EST)
Screenshot showing unreadable icon and other difficulties attached.

Comment 1 John Mellor 2020-10-04 21:07:23 UTC
Workaround:
1. Install the Gnome Tweak Tool
2. Select the Fonts tab
3. Alter the default font rendering from Standard (grayscale) to SubPixel (for LCD screens)

It looks like the as-installed font configuration is failing to determine that this is an LCD screen on this laptop, and selecting a subpixel render mechanism only suitable for ancient CRTs.

Comment 2 John Mellor 2020-10-06 15:22:21 UTC
Workaround does not work.

This should be a blocker for Fedora 33 release.

Comment 3 John Mellor 2020-10-11 14:01:31 UTC
Workaround: Using the Gnome Tweaks tool, change the default fonts from Cantarell to Liberation (3 places), and change the Altialiasing setting from Standard (grayscale) to Subpixel (for LCD screens).

If this change is not made in time to Fedora 33, then it needs to be documented as one of the known workarounds.
Since this bug only affects older video cards and a functioning workaround is possible, reducing severity to medium.


Note You need to log in before you can comment on or make changes to this bug.